<?php

namespace Drupal\xero\Plugin\DataType;

use Drupal\Core\Url;

/**
 * Xero link
 *
 * @DataType(
 *   id = "xero_link",
 *   label = @Translation("Xero Link"),
 *   definition_class = "\Drupal\xero\TypedData\Definition\LinkDefinition",
 *   list_class = "\Drupal\xero\Plugin\DataType\XeroItemList"
 * )
 */
class Link extends XeroTypeBase {

  static public $xero_name = 'Link';
  static public $plural_name = 'Links';
  static public $label = 'Description';

  /**
   * {@inheritdoc}
   */
  public function view() {
    return [
      '#type' => 'link',
      '#title' => $this->get('Description')->getValue(),
      '#url' => Url::fromUri($this->get('Url')->getValue(), ['absolute' => TRUE]),
    ];
  }

}
